Bug 180303 - New port: devel/p5-Test-Able
Summary: New port: devel/p5-Test-Able
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 13:40 UTC by Anes Mukhametov
Modified: 2013-09-22 19:34 UTC (History)
0 users

See Also:


Attachments
p5-Test-Able.shar (2.90 KB, text/plain)
2013-07-05 13:40 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 13:40:01 UTC
	New port: devel/p5-Test-Able	
	An xUnit style testing framework inspired by Test::Class and built using Moose.
	It can do all the important things Test::Class can do and more.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 13:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:56:16 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:51 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Po-Chuan Hsieh freebsd_committer 2013-09-22 18:20:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-09-22 19:01:58 UTC
Author: sunpoet
Date: Sun Sep 22 18:01:49 2013
New Revision: 327885
URL: http://svnweb.freebsd.org/changeset/ports/327885

Log:
  - Add p5-Test-Able 0.11
  - While I'm here, add LICENSE and NO_STAGE
  
  An xUnit style testing framework inspired by Test::Class and built using Moose.
  It can do all the important things Test::Class can do and more.
  The prime advantages of using this module instead of Test::Class are
  flexibility and power. Namely, Moose.
  
  This module was created for a few of reasons:
  
  To address perceived limitations in, and downfalls of, Test::Class.
  To leverage existing Moose expertise for testing.
  To bring Moose to the Perl testing game.
  
  WWW: http://search.cpan.org/dist/Test-Able/
  
  PR:		ports/180303
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/devel/p5-Test-Able/
  head/devel/p5-Test-Able/Makefile   (contents, props changed)
  head/devel/p5-Test-Able/distinfo   (contents, props changed)
  head/devel/p5-Test-Able/pkg-descr   (contents, props changed)
  head/devel/p5-Test-Able/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sun Sep 22 17:59:41 2013	(r327884)
+++ head/devel/Makefile	Sun Sep 22 18:01:49 2013	(r327885)
@@ -2742,6 +2742,7 @@
     SUBDIR += p5-Term-VT102
     SUBDIR += p5-Term-VT102-Boundless
     SUBDIR += p5-Term-Visual
+    SUBDIR += p5-Test-Able
     SUBDIR += p5-Test-Aggregate
     SUBDIR += p5-Test-Assertions
     SUBDIR += p5-Test-Base

Added: head/devel/p5-Test-Able/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-Able/Makefile	Sun Sep 22 18:01:49 2013	(r327885)
@@ -0,0 +1,34 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Test-Able
+PORTVERSION=	0.11
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Xunit with Moose
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-Moose>=0.94:${PORTSDIR}/devel/p5-Moose
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+NO_STAGE=	yes
+USE_PERL5=	configure
+USES=		perl5
+
+MAN3=		Test::Able.3 \
+		Test::Able::Cookbook.3 \
+		Test::Able::FatalException.3 \
+		Test::Able::Helpers.3 \
+		Test::Able::Method::Array.3 \
+		Test::Able::Object.3 \
+		Test::Able::Planner.3 \
+		Test::Able::Role.3 \
+		Test::Able::Role::Meta::Class.3 \
+		Test::Able::Role::Meta::Method.3
+
+.include <bsd.port.mk>

Added: head/devel/p5-Test-Able/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-Able/distinfo	Sun Sep 22 18:01:49 2013	(r327885)
@@ -0,0 +1,2 @@
+SHA256 (Test-Able-0.11.tar.gz) = 990d95f270f4c3fd8188111546ed70dbcc561092cf0749242594099cd59505a0
+SIZE (Test-Able-0.11.tar.gz) = 33399

Added: head/devel/p5-Test-Able/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-Able/pkg-descr	Sun Sep 22 18:01:49 2013	(r327885)
@@ -0,0 +1,12 @@
+An xUnit style testing framework inspired by Test::Class and built using Moose.
+It can do all the important things Test::Class can do and more.
+The prime advantages of using this module instead of Test::Class are
+flexibility and power. Namely, Moose.
+
+This module was created for a few of reasons:
+
+To address perceived limitations in, and downfalls of, Test::Class.
+To leverage existing Moose expertise for testing.
+To bring Moose to the Perl testing game.
+
+WWW: http://search.cpan.org/dist/Test-Able/

Added: head/devel/p5-Test-Able/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-Able/pkg-plist	Sun Sep 22 18:01:49 2013	(r327885)
@@ -0,0 +1,18 @@
+%%SITE_PERL%%/Test/Able.pm
+%%SITE_PERL%%/Test/Able/Cookbook.pm
+%%SITE_PERL%%/Test/Able/FatalException.pm
+%%SITE_PERL%%/Test/Able/Helpers.pm
+%%SITE_PERL%%/Test/Able/Method/Array.pm
+%%SITE_PERL%%/Test/Able/Object.pm
+%%SITE_PERL%%/Test/Able/Planner.pm
+%%SITE_PERL%%/Test/Able/Role.pm
+%%SITE_PERL%%/Test/Able/Role/Meta/Class.pm
+%%SITE_PERL%%/Test/Able/Role/Meta/Method.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Test/Able/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Test/Able
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Test
+@dirrmtry %%SITE_PERL%%/Test/Able/Role/Meta
+@dirrmtry %%SITE_PERL%%/Test/Able/Role
+@dirrmtry %%SITE_PERL%%/Test/Able/Method
+@dirrmtry %%SITE_PERL%%/Test/Able
+@dirrmtry %%SITE_PERL%%/Test
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Po-Chuan Hsieh freebsd_committer 2013-09-22 19:34:15 UTC
State Changed
From-To: open->closed

New port added. Thanks!